#include "demo.h"


QString tDemo::Anleitung()
{
   QString s;
   s = "Archimedische Spiralen\n\n";
   s+= "   x(u) = a * u * cos(u)\n";
   s+= "   y(u) = b * u * sin(u)\n";
   s+= "   ---------------------\n\n";
  return s;
}


qreal tDemo::Xu(qreal u) { return a*u*cos(u);}
qreal tDemo::Yu(qreal u) { return b*u*sin(u);}


void tDemo::draw()
{
  //a = 0.4;  b = 0.4;
  a = getScriptVar("a", 0.4);  // Variable a im Scipt abfragen, Defaultwert: 0.4
  b = getScriptVar("b", 0.4);  // Variable a im Scipt abfragen, Defaultwert: 0.4

  init(); setPage(tSetupTurtle::dinA4quer); setMargin(7,7);

  if (!begin()) return; // Transformationsmatrix, Klipping,
                        // Pinsel, Stift und Hintergrund usw. sind gesetzt
                        // Hintergrund und Rahmen wurden gezeichnet
  drawKoordSystem();
  setPen("red");

  const qreal umin = 0.0, umax = 240.0, du = 0.02;

  qreal u=umin;
  while (u<umax)
  { moveTo( Xu(u), Yu(u)); // Parameterlinie zeichnen
    u=u+du;
  }
}
