#ifndef DEMO_H
#define DEMO_H
#include "_grafik.h"

// C++ Grakik Demo >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
class tDemo : public tGrafik
{
public:
  tDemo(QWidget *){}
  QString Anleitung();             // Informationen zur Grafik, Script-Beispiel
  void draw();                     // Zeichenbefehle fuer die Grafik

private:
  qreal Xu(qreal u);               // spezielle private Hilfsfunktion
  qreal Yu(qreal u);               // spezielle private Hilfsfunktion
  qreal a,b;
};


class tDemo_Info: public tGrafik_Info  //------------------------------
{
public:
  QString  Titel() {return "Demo Spirale";}
  // Der Grafik-Titel muss in der Galerie eindeutig sein!

  tGrafik *New(QWidget *parent=0)  {return new tDemo(parent);}
  // Die Galerie verwendet New() um die spezielle Grafik zu instantieren
};



#endif // DEMO_H
