#ifndef EKURVE_H
#define EKURVE_H
#include "_grafik.h"
//#include "_turtle.h"


// tEKurve >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
//
// C++ Grafik
//
// >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

class tEKurve : public tGrafik
{
public:
  tEKurve(QWidget *parent=0):tGrafik(parent) {}
  QString Anleitung();
  void    draw();

private:
  void E(int n, qreal l);
  void R(int n, qreal l);
  void Fuellen3();
  void Fuellen4();
  bool isGleich(QPointF A, QPointF B);
  int PolyMode;
  QString Hintergrund;
  QString Penfarbe;
  QString Pinselfarbe;
  QString Fuellung1;    // Spezialfuellung 1
  QString Fuellung2;    // Spezialfuellung 2
  QString Fuellung3;    // Spezialfuellung 3
  QString Fuellung4;    // Spezialfuellung 4

};


// <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
class tEKurve_Info : public tGrafik_Info
{
public:
  QString  Titel() {return "EKurve";}
  tGrafik *New(QWidget *parent=0)   {return new tEKurve(parent);}
};
//Ende tEKurve  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
// <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<


#endif // EKURVE_H
