#ifndef ESCHER_H
#define ESCHER_H
#include "_grafik.h"


// tEscher >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
// >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
//
//
class tEscher : public tGrafik
{
  Q_OBJECT
public:
  tEscher(QWidget *parent=0) :tGrafik(parent) {}
  QString Anleitung();
  void    draw();


public slots:
 void drawMuster(bool Default=false);
 void drawFliese(int i, int j);

private:
  qreal a,b,d; int   anzi, anzj;

  QPolygonF Fliese;
  void makeFliese(QPolygonF &Fliese);
  void drawFlieseDefault(int i, int j);

  QScriptValue  thisScript;           // Zugriff des Scripts auf public slots
                                      // Beispiel: t.test("Sehr...");
};

class tEscher_Info : public tGrafik_Info
{
public:
  QString  Titel() {return "M.C. Escher";}
  tGrafik *New(QWidget *parent=0)   {return new tEscher(parent);}
};
// Ende tEscher <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
// <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<




#endif // ESCHER_H
