#include "_grafik.h"
#include "utils/msg.h"
#include "grafiken/gosper.h"

extern tMsgBox *MsgBox;  // MsgBox

// tGosper >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
// >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

//-----------------------------------------------------------------------------
void tGosper::gl(int i)
{ if (i<=0)
  { move(h); return; }
  else
  { turn(  60); rg(i-1);
    turn( -60); gl(i-1); gl(i-1);
    turn(-120); gl(i-1);
    turn( -60); rg(i-1);
    turn( 120); rg(i-1);
    turn(  60); gl(i-1);
  }
}

//-----------------------------------------------------------------------------
void tGosper::rg(int i)
{ if (i<=0)
  { move(h); return; }
  else
  { rg(i-1); turn( -60);
    gl(i-1); turn(-120);
    gl(i-1); turn(  60);
    rg(i-1); turn( 120);
    rg(i-1); rg(i-1); turn(60);
    gl(i-1); turn( -60);
  }
}

//-----------------------------------------------------------------------------
QString tGosper::Anleitung()
{ return QString

   ( "C++ Grafik: \""+objectName()+"\"\n\n"
     +ScriptHinweis+"\n"+ScriptLine+"\n\n"
     +ScriptBegin+"\n"
     " var Grafik = \""+objectName()+"\";\n"
     " var hintergrund=\"deepskyblue\"\n"
     " var stift=\"black\"\n"
     " var fill=\"gold\"\n"
     +ScriptEnd+"\n\n");
}


void tGosper::draw()
{
  init();
  setPen(getScriptVar("stift","black"));    // Hintergrund
  setBrush(getScriptVar("hintergrund","#b4a9a3"));   // default
  setPage(-10,150,tSetupTurtle::dinA4quer);
  //setAutoPaint(false);

  beginPolygon();

  h=3;   goTo(155,-35); turnTo(180.0); rg(4);  turnTo(-180.0); move(2*h);
  h=5.5; turnTo(-120.0); rg(2);  turnTo(-120.0); move(3*h);
  h=3;   turnTo(-60.0); rg(3);  move(6);
  h=10;  turnTo(0.0); rg(2);

  move(10);  turnTo(-60); move(25);
  turnTo(0); move(32.55);

  endPolygon(tTurtle::WindingFill);  // Qt::WindingFill

  if (!begin()) return;              // Painter starten

  setBrush(getScriptVar("fill","#8eff8e"));   // default

  setPen();
  drawPolygon();
  clrPolygon();
}

// Ende tGosper <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
// <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
