#ifndef GOSPER_H
#define GOSPER_H
#include "_grafik.h"
#include "_turtle.h"

// tGosper >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
// C++ Grafik
// >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
class tGosper : public tGrafik
{
public:
  tGosper(QWidget *parent=0):tGrafik(parent) {}
  QString Anleitung();
  void    draw();

private:
  void rg(int i);
  void gl(int i);

  qreal        h;       // Streckenlaenge
  qreal        r;       // Startrichtung
  QScriptValue thisScript;   // Zugriff des Scripts auf public slots
};

//>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
class tGosper_Info : public tGrafik_Info
{
public:
  QString  Titel() {return "Gosper";}
  tGrafik *New(QWidget *parent=0)  {return new tGosper(parent);}
};
// Ende tGosper <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
// <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<



#endif // GOSPER_H
