#ifndef HILBERT1_H
#define HILBERT1_H
#include "_grafik.h"


// tHilbert1 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
// >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
class tHilbert1 : public tGrafik
{
public:
  tHilbert1(QWidget *parent=0):tGrafik(parent) {}
  QString Anleitung();
  void draw();

private:
  void A(int i);
  void B(int i);
  void C(int i);
  void D(int i);

  qreal initHilbert(int n, qreal l_max, qreal turnTo);

  qreal     h;       // Streckenlaenge
  qreal     r;       // Startrichtung
};

class tHilbert1_Info : public tGrafik_Info
{
public:
  QString  Titel() {return "Hilbert Poster";}
  tGrafik *New(QWidget *parent=0)  {return new tHilbert1(parent);}
};
// Ende tHilbert1 <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
// <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<


#endif // HILBERT1_H
