#ifndef TESTS_H
#define TESTS_H
#include "_grafik.h"



// tTestGrafik >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
// Turtlebefehle >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
class tTestGrafik : public tGrafik
{
public:
  tTestGrafik(QWidget *parent=0):tGrafik(parent) {}
  QString Anleitung();
  void draw();
};

class tTestGrafik_Info : public tGrafik_Info
{
public:
  QString  Titel()                 {return "Test Turtle";}
  tGrafik::GType Type()            {return tGrafik::GCTest;} // Testgrafik
  tGrafik *New(QWidget *parent=0)  {return new tTestGrafik(parent);}
};
// Ende: tTestGrafik <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<




// tTestBild >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
// Fuellmuster >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
class tTestBild : public tGrafik
{
public:
  tTestBild(QWidget *parent=0):tGrafik(parent) {}
  QString Anleitung();
  void draw();

  void fill(qreal x, qreal y, Qt::BrushStyle Style, QString StyleName);
};

class tTestBild_Info : public tGrafik_Info
{
public:
  QString  Titel()                {return "Test Bilder";}
  tGrafik::GType Type()          {return tGrafik::GCTest;} // Testgrafik
  tGrafik *New(QWidget *parent=0) {return new tTestBild(parent);}
};
// Ende tTestBild <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
// <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<




// tTestRandom >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
// >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
class tTestRandom : public tGrafik
{
public:
  tTestRandom(QWidget *parent=0):tGrafik(parent) {}
  QString Anleitung();
  void    draw();
private:
  qreal Samples;
};

class tTestRandom_Info : public tGrafik_Info
{
public:
  QString  Titel()                {return "Test Zufall";}
  tGrafik::GType  Type()         {return tGrafik::GCTest;}
  tGrafik *New(QWidget *parent=0) {return new tTestRandom(parent);}
};
// Ende tTestRandom <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
// <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<





#endif // TESTS_H
