#-------------------------------------------------
#
# Project created by QtCreator 2011-06-09T14:58:05
#
#-------------------------------------------------


DEFINES += Linux
#     QT_NO_DEBUG_OUTPUT \
#     QT_NO_WARNING_OUTPUT

DEFINES += \
      QT_USE_FAST_CONCATENATION \
      QT_USE_FAST_OPERATOR_PLUS

QT       += core gui\
         script

TARGET = turtle

TEMPLATE = app

CONFIG+=release

SOURCES += main.cpp \
    _turtle.cpp \
    _grafik.cpp \
    drawbefehle.cpp \
    galerie.cpp \
    lsystem.cpp \
    mainwin.cpp \
    rundgang.cpp \
    setup.cpp \
    steuerung.cpp \
    utils/msg.cpp \
    utils/utils.cpp \     
    grafiken/baum.cpp \
    grafiken/gosper.cpp \
    grafiken/hilbert.cpp \
    grafiken/hilbert1.cpp \
    grafiken/sierpinski.cpp \
    grafiken/peano.cpp \
    grafiken/ekurve.cpp \
    grafiken/purzel.cpp \
    grafiken/testgrafik.cpp \
    grafiken/testbilder.cpp \
    grafiken/testrandom.cpp \
    grafiken/escher.cpp \
    grafiken/script_escher.cpp \
    grafiken/script_fxy.cpp \
    grafiken/script_line.cpp \
    grafiken/script_lsystem.cpp \
    grafiken/script_turtle.cpp \
    grafiken/script_messwerte.cpp \
    grafiken/toolbrush.cpp \
    grafiken/toollinien.cpp \
    grafiken/toolmischen.cpp \
    grafiken/toolsplines.cpp \
    grafiken/demo.cpp \
    toolscript.cpp \


HEADERS  += \
    _turtle.h \
    _grafik.h \
    drawbefehle.h \
    galerie.h \
    lsystem.h \
    mainwin.h \
    rundgang.h \
    setup.h \
    steuerung.h \
    utils/msg.h \
    utils/utils.h \
    grafiken/baum.h \
    grafiken/ekurve.h \
    grafiken/gosper.h \ 
    grafiken/hilbert.h \
    grafiken/hilbert1.h \
    grafiken/peano.h \
    grafiken/toollinien.h \
    grafiken/toolmischen.h \
    grafiken/toolbrush.h \
    grafiken/script_escher.h \
    grafiken/script_line.h \
    grafiken/script_lsystem.h \
    grafiken/script_turtle.h \
    grafiken/script_messwerte.h \
    grafiken/script_fxy.h \
    grafiken/purzel.h \
    grafiken/tests.h \
    grafiken/sierpinski.h \
    grafiken/escher.h \
    grafiken/toolsplines.h \
    grafiken/demo.h \
    toolscript.h \

FORMS    += \
    mainwin.ui \
    einstdialog.ui \
    galeriedialog.ui \
    rundgang.ui \
    toolspline.ui \
    toolscript.ui

OTHER_FILES += \
    app.rc \
    app.ico \
    "C:/Dokumente und Einstellungen/Günther/Anwendungsdaten/turtle/1.2.ini" \
    "C:/Dokumente und Einstellungen/Günther/Anwendungsdaten/turtle/2.0.ini" \
    logbuch.txt

RC_FILE = app.rc

RESOURCES += turtle.qrc



























































































