#ifndef HILBERT_H
#define HILBERT_H
#include "_grafik.h"
#include "_turtle.h"

// tHilbert >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
// >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
class tHilbert : public tGrafik
{
public:
  tHilbert(QWidget *parent=0):tGrafik(parent) {}
  QString Anleitung();
  void draw();

private:
  void A(int i);
  void B(int i);
  void C(int i);
  void D(int i);

  qreal h;  // Streckenlaenge
  qreal r;  // Startrichtung
  qreal initHilbert(int n, qreal l_max, qreal turtTo);
};

class tHilbert_Info : public tGrafik_Info
{
public:
  QString  Titel() {return "Hilbert einfach";}
  tGrafik *New(QWidget *parent=0)  {return new tHilbert(parent);}
};
// Ende tHilbert <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
//<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<




#endif // HILBERT_H
