#ifndef PEANO_H
#define PEANO_H
#include "_grafik.h"
#include "_turtle.h"



// tPeano >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
// >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
class tPeano : public tGrafik
{ Q_OBJECT

public:
  tPeano(QWidget *parent=0):tGrafik(parent) {}
  QString Anleitung();
  void draw();

public slots:
  /*! |Script Peano|*************************/
  void A(int n, qreal l);
  void B(int n, qreal l);
  void C(int n, qreal l);
  void D(int n, qreal l);

  qreal getazul(int n,qreal l);
  //Kantenlaenge a zur Einheit l

  qreal getlzua(int a,qreal l);
  //Einheit l zur Kantenlaenge a

private:
  int mode;                           // Zeichenmodus 0=normal
  QString Pen1;
  QString Pen2;
  QString Pen3;
  QString Pen4;
  qreal PenW;
  Qt::PenStyle Style;

  QScriptValue  thisScript;           // Zugriff des Scripts auf public slots
};

class tPeano_Info : public tGrafik_Info
{
public:
  QString  Titel() {return "Peano";}
  tGrafik *New(QWidget *parent=0)  {return new tPeano(parent);}
};
// Ende tPeano <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
// <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<



#endif // PEANO_H
