#ifndef SCRIPT_TURTLE_H
#define SCRIPT_TURTLE_H
#include "_grafik.h"
#include "_turtle.h"



// tScript >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
// >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
//
// "Script Turtel" :
// Basisgrafik für alle Scripte mit Turtlefunktionen
//
//
class tScript : public tGrafik
{
  Q_OBJECT
public:
  tScript(QWidget *parent=0) :tGrafik(parent) {}
  QString Anleitung();
  void    draw();

private:
  QScriptValue  thisScript;  // Zugriff des Scripts auf public slots
                             // Beispiel: t.test("Sehr...");
};


class tScript_Info : public tGrafik_Info
{
public:
  QString  Titel()                {return ScriptGrafikDefault;}
  tGrafik::GType  Type()          {return  tGrafik::GScript;}
  tGrafik *New(QWidget *parent=0) {return new tScript(parent);}
};
// Ende tScript <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
// <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<


#endif // SCRIPT_TURTLE_H
