#include "_grafik.h"
#include "utils/msg.h"
#include "utils/utils.h"
#include "grafiken/tests.h"

extern tMsgBox *MsgBox;  // MsgBox


//tTestBild >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
// >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>


QString tTestBild::Anleitung()
{ return
      "C++ Testgrafik: \""+objectName()+"\"\n\n"
      "Bilddateien anzeigen\n\n"
      +ScriptHinweis+"\n"+ScriptLine+"\n\n"
      +ScriptBegin+"\n"
      " var Grafik = \""+objectName()+"\";\n\n"
      " var Dateipfad = \"./stadlstein.jpg\";\n"
      "                // Beispiel: 'C:/Temp/Bild.jpg'\n"
      "                // Achtung: Im Dateipfad '/' verwenden! \n"
      +ScriptEnd+"\n";
}


void tTestBild::draw()
{
  init();
  TurtleSetup.setPage(-50, 110, tSetupTurtle::dinA4quer);  // A4, Hochformat
  QString Dateipfad=getScriptVar("Dateipfad", ":/polster.jpg");

  if (!begin()) return;    // Painter.begin()

  setPen("black");
  setFont("Arial", 2.5);   // Beschriftung 2.5 mm
  drawKoordSystem();       // Koordinatenachsen, Beschriftung=true
  drawRaster(10);          // Raster

  goTo(-35,-65); turnTo(0);  bild(Dateipfad, 120.0);   //unverzerrt
  goTo(90,-85);  turnTo(0);  bild(Dateipfad, 100,110);

  qreal h=35, w=35, l; goTo(-15,0);
  for (int i=0; i<12; i++)
  { turnTo(w); l=bild(Dateipfad, -1,h);
    setNoStyle(); move(l); setPen();
    h=h*0.78;
    w= w- 255/h;
  }

  setFont("Arial", 10, true, QFont::Bold);  // Beschriftung
  turnTo(0); text(-30,-81,"Test Bilder: Bilddateien anzeigen");
}

// Ende tTestBild <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
// <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

