#ifndef MISCHEN_H
#define MISCHEN_H
#include "_grafik.h"



// tToolMischen >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
//
// Subtraktive Farbmischung
//
// >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
class tToolMischen : public tGrafik
{
public:
  tToolMischen(QWidget *parent=0);
  QString Anleitung();
  void    draw();

  void save(QSettings *Setting);
  void restore(QSettings *Setting);

protected:
  void mousePressEvent(QMouseEvent * event);
  void wheelEvent(QWheelEvent *event);


private:

  void scrollFarbe(bool &update, int &Farbe, int delta);
  void scrollHelligkeit(bool &isUpdate, int delta);

  int     cyan, magenta, yellow;  // Farbe Feld RGB1
  QString Rgb2;                   // Farbe Feld RGB2

  QRect c_rect, m_rect, y_rect;
  QRect rgb1_rect, rgb2_rect;

};

class tToolMischen_Info : public tGrafik_Info
{
public:
  QString  Titel()                {return "Farbmischung";}
  tGrafik::GType  Type()          {return  tGrafik::GCTool;}
  tGrafik *New(QWidget *parent=0) {return new tToolMischen(parent);}
};
// Ende: Farbmischung <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
// <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<




#endif // MISCHEN_H
